Change log for dante package in Ubuntu

136 of 36 results
Published in disco-release on 2019-01-06
Deleted in disco-proposed (Reason: moved to release)
dante (1.4.2+dfsg-6) unstable; urgency=medium

  * Use a wildcard in debian/not-installed instead of hardcoding
    the x86_64-linux-gnu multiarch triplet, thus fixing the FTBFS on
    any other architecture.  Closes: #918355

 -- Peter Pentchev <email address hidden>  Sat, 05 Jan 2019 16:23:14 +0200
Superseded in disco-proposed on 2019-01-05
dante (1.4.2+dfsg-5) unstable; urgency=medium

  * Bump the debhelper compatibility level to 12 with no changes.
  * Add ${misc:Pre-Depends} to dante-server.
  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Move away from git-dpm.
  * Add the year 2019 to my debian/* copyright notice.
  * Run dh_missing with the --fail-missing option and create
    the debian/not-installed file listing some files that we modify
    and install manually.

 -- Peter Pentchev <email address hidden>  Fri, 04 Jan 2019 23:54:23 +0200

Available diffs

Superseded in disco-release on 2019-01-06
Deleted in disco-proposed on 2019-01-07 (Reason: moved to release)
dante (1.4.2+dfsg-4) unstable; urgency=medium

  * Drop "--without systemd" from the dh invocation, missed in
    the upgrade to debhelper compat level 11.  Closes: #907889
  * Specify Build-Depends-Package in the libsocksd0 symbols file and
    add a Lintian override for libdsocksd0.
  * Enable some systemd hardening options and add a news blurb on
    disabling/customizing them.
  * Move the systemd pid file from /var/run to /run.
  * Change the systemd service type to "simple" and do not pass "-D".

 -- Peter Pentchev <email address hidden>  Mon, 17 Dec 2018 18:01:57 +0200
Superseded in disco-release on 2018-12-18
Published in cosmic-release on 2018-09-04
Deleted in cosmic-proposed (Reason: moved to release)
dante (1.4.2+dfsg-3build1) cosmic; urgency=medium

  * No-change rebuild against glibc 2.28

 -- Steve Langasek <email address hidden>  Fri, 31 Aug 2018 10:58:50 -0700
Superseded in cosmic-proposed on 2018-08-31
dante (1.4.2+dfsg-3) unstable; urgency=medium

  * Add two more fixes to the typos patch.
  * Add the year 2018 to my debian/* copyright notice.
  * Use my Debian e-mail address.
  * Bring up to compliance with Debian Policy 4.2.1:
    - use uscan's "repack" mechanism along with Files-Excluded in
      the copyright file
    - install the upstream release notes (NEWS) as NEWS and not changelog
  * Bump the debhelper compatibility level to 11:
    - override the dh_installsystemd invocation to rename the service file
    - use the B-D: debheper-compat (= 11) mechanism
  * Rename the SysV init script file in the source package to follow
    suit with the systemd one.
  * Add a trivial autopkgtest running adequate on the installed package.

 -- Peter Pentchev <email address hidden>  Thu, 30 Aug 2018 14:45:37 +0300
Superseded in cosmic-release on 2018-09-04
Published in bionic-release on 2018-03-02
Deleted in bionic-proposed (Reason: moved to release)
dante (1.4.2+dfsg-2build1) bionic; urgency=medium

  * No-change rebuild for glibc 2.27

 -- Steve Langasek <email address hidden>  Sun, 25 Feb 2018 19:29:27 -0800
Superseded in bionic-release on 2018-03-02
Deleted in bionic-proposed on 2018-03-04 (Reason: moved to release)
dante (1.4.2+dfsg-2) unstable; urgency=medium

  * Remove trailing whitespace from the changelog and control files.
  * Declare compliance with Debian Policy 4.1.1 with no changes.
  * Add "Rules-Requires-Root: no" to the source control stanza.
  * Switch to git-dpm for patch management and rename the patches.

 -- Peter Pentchev <email address hidden>  Mon, 30 Oct 2017 01:08:23 +0200
Superseded in bionic-release on 2017-11-02
Published in artful-release on 2017-09-19
Deleted in artful-proposed (Reason: moved to release)
dante (1.4.1+dfsg-5build1) artful; urgency=medium

  * No-change rebuild for glibc 2.26.

 -- Matthias Klose <email address hidden>  Wed, 06 Sep 2017 08:59:50 +0000
Superseded in artful-release on 2017-09-19
Deleted in artful-proposed on 2017-09-21 (Reason: moved to release)
dante (1.4.1+dfsg-5) unstable; urgency=medium

  * Add an error handler to the post-install startup of dante-server so
    that it doesn't make the package installation fail if danted.conf
    has not been customized yet (i.e. always on first installation).
    Closes: #862988

 -- Peter Pentchev <email address hidden>  Sun, 21 May 2017 17:23:27 +0300

Available diffs

Superseded in artful-release on 2017-05-23
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
dante (1.4.1+dfsg-4) unstable; urgency=medium

  * Add the 25-path-max patch as a temporary band-aid for building Dante
    on GNU/Hurd.

 -- Peter Pentchev <email address hidden>  Thu, 12 Jan 2017 13:07:24 +0200

Available diffs

Superseded in zesty-release on 2017-01-12
Deleted in zesty-proposed on 2017-01-14 (Reason: moved to release)
dante (1.4.1+dfsg-3) unstable; urgency=medium

  * Add some more fixes to the 20-typos patch.
  * Fix the formatting of multiple DEP-3 Author headers in a patch.
  * Add a systemd service file (originally obtained from Arch Linux,
    almost completely overhauled).
  * Switch to the compat level 10 default debhelper behavior regarding
    restarting services during an upgrade - only restarting the service
    after the upgrade.
  * Correct the number of the Debian bug in the 01-rename-library patch.
  * Point the watch file to the main upstream website.
  * Use the HTTPS scheme for various upstream and Debian-related URLs.
  * Build-depend on debhelper 10 now that it's even in jessie-backports
    and drop the Lintian override.
  * Let dante-server depend on lsb-base for the init script functions.
  * Use single quotes around a variable that is interpolated by make,
    not by the shell, in the rules file.
  * Use the v4 substitution variables in the watch file.
  * Add the 24-uintptr_t patch to fix the build on !linux i386 hosts.
    Closes: #845404; thanks, Samuel Thibault!
  * Rename the 22-sigpwr-siginfo patch to 22-signal-names, simplify it
    a bit, and also check for SIGPWR == SIGLOST.
  * Bump the year on my debian/* copyright notice.

 -- Peter Pentchev <email address hidden>  Mon, 09 Jan 2017 17:28:22 +0200

Available diffs

  • diff from 1.4.1+dfsg-2build1 (in Ubuntu) to 1.4.1+dfsg-3 (pending)
Superseded in zesty-release on 2017-01-10
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
dante (1.4.1+dfsg-2build1) yakkety; urgency=medium

  * No-change rebuild for glibc 2.24.

 -- Matthias Klose <email address hidden>  Fri, 12 Aug 2016 08:23:11 +0000
Superseded in yakkety-release on 2016-08-19
Deleted in yakkety-proposed on 2016-08-20 (Reason: moved to release)
dante (1.4.1+dfsg-2) unstable; urgency=medium

  * Add the 21-sendbuf-ioctl, 22-sigpwr-siginfo, and 23-sa-len-unused
    patches to fix some FTBFS's on the Debian buildd network.
  * Update the watch file a bit:
    - fix the dversionmangle pattern to remove "+dfsg" instead of
      the ".dfsg" used a long, long time ago.
    - point it to a webpage with links instead of an FTP site
    - update to version 4 and explicitly add pgpmode=none

 -- Peter Pentchev <email address hidden>  Mon, 18 Apr 2016 17:34:55 +0300
Superseded in yakkety-release on 2016-04-28
Published in xenial-release on 2016-03-22
Deleted in xenial-proposed (Reason: moved to release)
dante (1.1.19.dfsg-3.1ubuntu3) xenial; urgency=medium

  * Rebuild for glibc 2.23.

 -- Matthias Klose <email address hidden>  Sun, 20 Mar 2016 11:20:26 +0100
Superseded in xenial-release on 2016-03-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-22 (Reason: moved to release)
dante (1.1.19.dfsg-3.1ubuntu2) vivid; urgency=medium

  * No-change rebuild for the glibc 2.21 transition.
 -- Adam Conrad <email address hidden>   Sat, 21 Mar 2015 14:34:52 -0600
Superseded in vivid-release on 2015-03-21
Deleted in vivid-proposed on 2015-03-23 (Reason: moved to release)
dante (1.1.19.dfsg-3.1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/03-configure.patch:
      + Revert hardcoded libdl.so path.
    - debian/patches/15-fixlibc-search.patch:
      + Fix dante-server using correct search patch for the libc.so.
    - debian/patches/16-fix-dlopen.patch:
      + Fix socksify fails to run by adding search logic
        to locate the proper libdl.so.
    - debian/rules:
      + Invoke "dh_shlibdeps -a -- -xglibc-private" to avoid unmet
        dependency with glibc-private if linked with glibc >= 2.8.
 -- Artur Rona <email address hidden>   Sat, 21 Feb 2015 17:45:03 +0100
Superseded in vivid-release on 2015-02-21
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2014-02-24
Deleted in trusty-proposed (Reason: moved to release)
dante (1.1.19.dfsg-3ubuntu11) trusty; urgency=medium

  * No-change rebuild against eglibc 2.19.
 -- Adam Conrad <email address hidden>   Mon, 24 Feb 2014 15:55:17 -0700
Superseded in trusty-release on 2014-02-24
Deleted in trusty-proposed on 2014-02-26 (Reason: moved to release)
dante (1.1.19.dfsg-3ubuntu10) trusty; urgency=medium

  * Rebuild against eglibc 2.18.
 -- Colin Watson <email address hidden>   Mon, 03 Feb 2014 13:16:07 +0000
Published in precise-updates on 2013-09-05
Deleted in precise-proposed (Reason: moved to -updates)
dante (1.1.19.dfsg-3ubuntu6.12.04.1) precise; urgency=low

  * debian/patches/03-configure.patch
    - Revert hardcoded libdl.so path
  * debian/patches/15-fixlibc-search.patch
    - Fix dante-server using the wrong libc.so (LP: #816153)
      by changing the search patch for the libc.so
  * debian/patches/16-fix-dlopen.patch
    - Fix socksify fails to run (LP: #857598)
      by adding search logic to locate the proper libdl.so
 -- Louis Bouchard <email address hidden>   Wed, 12 Jul 2013 14:39:18 +0200
Superseded in trusty-release on 2014-02-03
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
dante (1.1.19.dfsg-3ubuntu9) saucy; urgency=low

  * debian/patches/03-configure.patch
    - Revert hardcoded libdl.so path
  * debian/patches/15-fixlibc-search.patch
    - Fix dante-server using the wrong libc.so (LP: #816153)
      by changing the search patch for the libc.so
  * debian/patches/16-fix-dlopen.patch
    - Fix socksify fails to run (LP: #857598)
      by adding search logic to locate the proper libdl.so
 -- Louis Bouchard <email address hidden>   Wed, 12 Jul 2013 14:39:18 +0200
Superseded in saucy-release on 2013-08-16
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
dante (1.1.19.dfsg-3ubuntu8) raring; urgency=low

  * No-change rebuild to update the dependency on the current libc6.
 -- Adam Conrad <email address hidden>   Mon, 28 Jan 2013 09:26:57 -0700
Superseded in raring-release on 2013-01-28
Deleted in raring-proposed on 2013-01-30 (Reason: moved to release)
dante (1.1.19.dfsg-3ubuntu7) raring; urgency=low

  * No-change rebuild to update the current dependency on libc6.
 -- Adam Conrad <email address hidden>   Sat, 27 Oct 2012 02:11:33 +0100
Superseded in raring-release on 2012-10-27
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2012-02-29
dante (1.1.19.dfsg-3ubuntu6) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)
 -- Martin Pitt <email address hidden>   Wed, 29 Feb 2012 08:29:20 +0100
Superseded in precise-release on 2012-02-29
Obsolete in oneiric-release on 2015-04-24
dante (1.1.19.dfsg-3ubuntu5) oneiric; urgency=low

  * No-change rebuild to update the dependency on libc6 (LP: #767085).
 -- Stephane Graber <email address hidden>   Tue, 17 May 2011 09:18:25 -0400
Obsolete in natty-updates on 2013-06-04
Deleted in natty-proposed on 2013-06-04 (Reason: moved to -updates)
dante (1.1.19.dfsg-3ubuntu4.1) natty-proposed; urgency=low

  * No-change rebuild to update the dependency on libc6 (LP: #767085).
 -- Stephane Graber <email address hidden>   Tue, 17 May 2011 09:13:47 -0400
Superseded in oneiric-release on 2011-05-17
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
dante (1.1.19.dfsg-3ubuntu4) maverick; urgency=low

  * No-change rebuild to update the dependency on libc6 (LP: #624425).
 -- Stefan Potyra <email address hidden>   Fri, 03 Sep 2010 12:47:09 +0200
Superseded in maverick-release on 2010-09-03
Obsolete in lucid-release on 2016-10-26
dante (1.1.19.dfsg-3ubuntu3) lucid; urgency=low

  * No-change rebuild to update the dependency on libc6
 -- Matthias Klose <email address hidden>   Mon, 18 Jan 2010 16:06:10 +0100
Superseded in lucid-release on 2010-01-18
Obsolete in karmic-release on 2013-03-04
dante (1.1.19.dfsg-3ubuntu2) karmic; urgency=low

  * No-change rebuild to update the dependency on libc6

 -- Michael Bienia <email address hidden>   Mon, 14 Sep 2009 15:24:45 +0200
Superseded in karmic-release on 2009-09-14
Obsolete in jaunty-release on 2013-02-28
dante (1.1.19.dfsg-3ubuntu1) jaunty; urgency=low

  * Merge from debian unstable to fix libsock0-dev installability, remaining
    changes:
    - debian/rules: invoke "dh_shlibdeps -a -- -xglibc-private" to avoid
      unmet dependency with glibc-private if linked with glibc >= 2.8.

Superseded in jaunty-release on 2009-04-04
dante (1.1.19.dfsg-2ubuntu1) jaunty; urgency=low

  * debian/rules: invoke "dh_shlibdeps -a -- -xglibc-private" to avoid
    unmet dependency with glibc-private if linked with glibc >= 2.8.

 -- Luca Falavigna <email address hidden>   Sat, 31 Jan 2009 04:10:19 +0100
Superseded in jaunty-release on 2009-01-31
dante (1.1.19.dfsg-2) unstable; urgency=low

  * Since the "new" binary package libdsocksd0 extracts a library that
    was formerly in dante-client, it should conflict and replace old
    versions of dante-client.  Closes: #494712.
  * Remove the "debian/copyright line too long" lintian overrides, since
    the check was dropped from lintian in both unstable and testing.

Available diffs

Superseded in jaunty-release on 2008-11-05
Obsolete in intrepid-release on 2013-02-20
dante (1.1.18.dfsg-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #469750)
  * Removed *.conffiles files, obsoleted by debhelper 3
  * Changed section of libsocksd-dev to libdevel

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 01:55:36 +0100
Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
dante (1.1.18.dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload with maintainer approval.
  * Remove non-free RFC 1928 and 1929 from the upstream tarball
    (closes: #393361).

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  23 Oct 2007 15:50:20 +0100
Superseded in hardy-release on 2007-10-23
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
dante (1.1.18-2.1) unstable; urgency=high

  * Non-maintainer upload for RC bug.
  * Make sure changelogs are installed into all packages (Closes: #393568).

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  07 Nov 2006 01:17:11 +0000
Superseded in feisty-release on 2006-11-08
Obsolete in edgy-release on 2008-06-19
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
dante (1.1.18-2) unstable; urgency=low


  * applied patch from upstream (same as patch sent by Nicolas Leonard)
    to fix PAM authentication failures.  Many thanks to Nicolas for 
    his work! (closes: #331538)

 -- Adrian Bridgett <email address hidden>  Sun,  9 Oct 2005 11:24:13 +0100
Obsolete in breezy-release on 2008-03-25
Obsolete in hoary-release on 2008-03-19
Obsolete in warty-release on 2008-01-09
dante (1.1.14-2) unstable; urgency=low


  * improve extended descriptions (closes: #209510, #210116)

 -- Adrian Bridgett <email address hidden>  Sat, 15 Nov 2003 18:59:33 +0000
136 of 36 results